petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMKSPGetComputeRHS

get KSP right hand side evaluation function

### Synopsis

    #include "petscksp.h"
    PetscErrorCode DMKSPGetComputeRHS(DM dm,PetscErrorCode (**func)(KSP,Vec,void*),void *ctx)

Not Collective Many br

### Input Argument

dm -DM to be used with KSP Many br

### Output Arguments

| func | - right hand side evaluation function, see KSPSetComputeRHS() for calling sequence Many br
| ctx | - context for right hand side evaluation Many br

Many br

### See Also

DMKSPSetContext(), KSPSetComputeRHS(), DMKSPSetComputeRHS()

Level:advanced
Location:src/ksp/ksp/interface/dmksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages